Add a plugin system
Closed, ResolvedPublic

Description

Plugins would extend Pitivi's functionality. A plugin allows using a specialized UI and is provided with a handle on the Pitivi application and the current project.

For example a slideshow plugin could allow making easily a slide show, automatically adding a specific transition between the clips or even random transitions and setting the duration of the image clips, or syncing them with an audio track.

Imported from https://bugzilla.gnome.org/show_bug.cgi?id=728601

anti-stress created this task.
anti-stress added a subscriber: anti-stress.
jeff added a subscriber: jeff.Aug 12 2015, 3:52 PM
jeff added a comment.Jun 23 2014, 5:25 PM

Mathieu actually wanted to (re)implement a plugin system into Pitivi, using libpeas. He has some experimental branch for that somewhere.

Mathieu_Du triaged this task as Enhancement priority.Apr 20 2014, 11:57 AM
Mathieu_Du claimed this task.
aleb updated the task description. (Show Details)Mar 21 2016, 2:21 PM
aleb removed Mathieu_Du as the assignee of this task.Jan 30 2017, 4:13 PM
yajo added a subscriber: yajo.Feb 24 2017, 5:19 AM
cfoch added a subscriber: cfoch.Mar 21 2017, 7:58 PM
cfoch claimed this task.Mar 21 2017, 8:01 PM

This bug depends on https://bugzilla.gnome.org/show_bug.cgi?id=780685 (if we go the libpeas way).

cfoch changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/5931 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6086.
cfoch changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6086 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6087.
cfoch changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6087 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6161.
cfoch changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6161 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6166.Jul 28 2017, 8:39 PM
cfoch changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6166 to https://github.com/cfoch/pitivi#wip/phab/T3193-review-pluginmanager.Jul 30 2017, 9:43 AM
cfoch changed git URI from https://github.com/cfoch/pitivi#wip/phab/T3193-review-pluginmanager to https://github.com/cfoch/pitivi#wip/phab/T3193-pluginmanager.Jul 30 2017, 9:47 AM
cfoch changed git URI from https://github.com/cfoch/pitivi#wip/phab/T3193-pluginmanager to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6195.Aug 6 2017, 9:11 AM
cfoch changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6195 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6196.Aug 6 2017, 9:16 AM
aleb moved this task from Backlog to 2.0 on the Pitivi board.Aug 8 2017, 12:14 PM
aleb edited projects, added Pitivi (2.0); removed Pitivi.
aleb moved this task from Backlog to In progress on the Pitivi (2.0) board.Aug 8 2017, 12:22 PM
cfoch changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6196 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6217.Aug 10 2017, 7:57 PM
cfoch changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6217 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6285.
cfoch changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6285 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6289.Aug 15 2017, 9:13 PM
cfoch changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6289 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6332.
cfoch changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6332 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6344.
cfoch changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6344 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6345.Aug 22 2017, 2:42 AM
cfoch changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6345 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6352.Aug 22 2017, 3:20 PM
cfoch changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6352 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6370.Aug 24 2017, 7:41 PM
cfoch changed git URI from git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6370 to git://git.pitivi.org/pitivi.git#refs/tags/phabricator/diff/6371.Aug 24 2017, 7:49 PM
aleb moved this task from In progress to Done on the Pitivi (2.0) board.Aug 28 2017, 10:08 PM
aleb closed this task as Closed.Sep 6 2017, 11:24 AM

GitLab Migration Automatic Message

This bug has been migrated to GNOME's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.gnome.org/GNOME/pitivi/issues/1480.